# Rookeries

**Rookeries** is a developer and designer friendly CMS for building gorgeous 
micro-sites, blogs and portfolios.

- Sports a flexible layout engine, and intuitive editor.
- Supports multiple themes and user personalization.
- Powered by a modern Python server side using Flask and CouchDB.
- Uses preact, mobx, bootstrap and webpack to create a gorgeous frontend 
    experience.
- Licensed freely under the Affero GNU Genearal Public License (AGPL) version 
    3.0.

## Powered By

**Rookeries** would not be possible without the hard work of hundreds of 
developers, designers and maintainers of the below technologies 
(and many more).  Thank you!!!

### Server Side

| Language | Webapp Framework | Database |
| :---: | :---: | :---: |
| <img alt="Python" src="https://www.python.org/static/img/python-logo.png" width=200 /> | <img alt="Flask" src="http://flask.pocoo.org/static/logo/flask.svg" width=200 /> | <img alt="CouchDB 2" src="https://couchdb.apache.org/image/logo@2x.png" width=200 /> |
| [Python](https://www.python.org/) | [Flask](http://flask.pocoo.org/) | [CouchDB2](https://couchdb.apache.org/) |

### Client Side

| Language | JS Frameworks | CSS Frameworks | Code Editor |
| :---: | :---: | :---: | :---: |
| <img src="https://raw.githubusercontent.com/voodootikigod/logo.js/master/js.png" alt="JS" width=100 /> | <img alt="preact" src="https://cdn.rawgit.com/developit/b4416d5c92b743dbaec1e68bc4c27cda/raw/3235dc508f7eb834ebf48418aea212a05df13db1/preact-logo-trans.svg" width=200 /> <img alt="MobX" src="https://mobx.js.org/docs/mobx.png" width=100 /> | <img alt="Bootstrap" src="http://getbootstrap.com/assets/brand/bootstrap-solid.svg" width=100 />| ![CodeMirror](http://codemirror.net/doc/logo.png) |
| [ES2017](http://www.ecma-international.org/publications/standards/Ecma-262.htm) | [preact](https://preact.com/) + [MobX](https://mobx.js.org/) | [Bootstrap](http://getbootstrap.com/) | [CodeMirror](http://codemirror.net/)
